Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class KASSE

    java.lang.Object
      KASSE

All Implemented Interfaces:
  TAKTKLIENT

     class KASSE

extends java.lang.Object
implements TAKTKLIENT

Kasse des Supermarkts.

Version:
  1.0
Author:
  Albert Wiedemann

Constructor Summary
`KASSE(WARTESCHLANGE w, TAKTGEBER t)` Baut die Kasse auf und trägt as zugehörige Darstellungssymbol ein.

Method Summary
`(package private) boolean` | `IstOffen()` Meldet, ob die Kasse offen ist
`(package private) void` | `OffenSetzen()` Öffnet die Kasse.
`(package private) void` | `PositionSetzen(int xNeu, int yNeu)` Setzt die Position der Kasse.
`(package private) void` | `SchliessendSetzen()` Bereitet das Schließen der Kasse vor.
`void` | `TaktImpulsAusfuehren()` EmpfŠngt die Impulse des Taktgebers.
`(package private) WARTESCHLANGE` | `WarteschlangeHolen()` Gibt die zu dieser Kasse gehörende arteschlange zurück

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KASSE

    KASSE(WARTESCHLANGE w,
          TAKTGEBER t)

  Baut die Kasse auf und trägt as zugehörige Darstellungssymbol ein.

Method Detail

### IstOffen

    boolean IstOffen()

  Meldet, ob die Kasse offen ist

  Returns:
    wahr, wenn die Kasse offen ist

### OffenSetzen

    void OffenSetzen()

  Öffnet die Kasse.

### PositionSetzen

    void PositionSetzen(int xNeu,
                        int yNeu)

  Setzt die Position der Kasse.

  Parameters:
    `xNeu` - x-Position
    `yNeu` - y-Position

### SchliessendSetzen

    void SchliessendSetzen()

  Bereitet das Schließen der Kasse vor.

### TaktImpulsAusfuehren

    public void TaktImpulsAusfuehren()

  EmpfŠngt die Impulse des Taktgebers.

  Specified by:
    `TaktImpulsAusfuehren` in interface `TAKTKLIENT`

### WarteschlangeHolen

    WARTESCHLANGE WarteschlangeHolen()

  Gibt die zu dieser Kasse gehörende arteschlange zurück

  Returns:
    Warteschlange

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD